mapping = {
    "E10TransferofCustody": "http://www.cidoc-crm.org/cidoc-crm/E10_Transfer_of_Custody",
    "E11Modification": "http://www.cidoc-crm.org/cidoc-crm/E11_Modification",
    "E12Production": "http://www.cidoc-crm.org/cidoc-crm/E12_Production",
    "E13AttributeAssignment": "http://www.cidoc-crm.org/cidoc-crm/E13_Attribute_Assignment",
    "E14ConditionAssessment": "http://www.cidoc-crm.org/cidoc-crm/E14_Condition_Assessment",
    "E15IdentifierAssignment": "http://www.cidoc-crm.org/cidoc-crm/E15_Identifier_Assignment",
    "E16Measurement": "http://www.cidoc-crm.org/cidoc-crm/E16_Measurement",
    "E17TypeAssignment": "http://www.cidoc-crm.org/cidoc-crm/E17_Type_Assignment",
    "E18PhysicalThing": "http://www.cidoc-crm.org/cidoc-crm/E18_Physical_Thing",
    "E19PhysicalObject": "http://www.cidoc-crm.org/cidoc-crm/E19_Physical_Object",
    "E1CRMEntity": "http://www.cidoc-crm.org/cidoc-crm/E1_CRM_Entity",
    "E20BiologicalObject": "http://www.cidoc-crm.org/cidoc-crm/E20_Biological_Object",
    "E21Person": "http://www.cidoc-crm.org/cidoc-crm/E21_Person",
    "E22HumanMadeObject": "http://www.cidoc-crm.org/cidoc-crm/E22_Human-Made_Object",
    "E24PhysicalHumanMadeThing": "http://www.cidoc-crm.org/cidoc-crm/E24_Physical_Human-Made_Thing",
    "E25HumanMadeFeature": "http://www.cidoc-crm.org/cidoc-crm/E25_Human-Made_Feature",
    "E26PhysicalFeature": "http://www.cidoc-crm.org/cidoc-crm/E26_Physical_Feature",
    "E27Site": "http://www.cidoc-crm.org/cidoc-crm/E27_Site",
    "E28ConceptualObject": "http://www.cidoc-crm.org/cidoc-crm/E28_Conceptual_Object",
    "E29DesignorProcedure": "http://www.cidoc-crm.org/cidoc-crm/E29_Design_or_Procedure",
    "E2TemporalEntity": "http://www.cidoc-crm.org/cidoc-crm/E2_Temporal_Entity",
    "E30Right": "http://www.cidoc-crm.org/cidoc-crm/E30_Right",
    "E31Document": "http://www.cidoc-crm.org/cidoc-crm/E31_Document",
    "E32AuthorityDocument": "http://www.cidoc-crm.org/cidoc-crm/E32_Authority_Document",
    "E33E41LinguisticAppellation": "http://www.cidoc-crm.org/cidoc-crm/E33_E41_Linguistic_Appellation",
    "E33LinguisticObject": "http://www.cidoc-crm.org/cidoc-crm/E33_Linguistic_Object",
    "E34Inscription": "http://www.cidoc-crm.org/cidoc-crm/E34_Inscription",
    "E35Title": "http://www.cidoc-crm.org/cidoc-crm/E35_Title",
    "E36VisualItem": "http://www.cidoc-crm.org/cidoc-crm/E36_Visual_Item",
    "E37Mark": "http://www.cidoc-crm.org/cidoc-crm/E37_Mark",
    "E39Actor": "http://www.cidoc-crm.org/cidoc-crm/E39_Actor",
    "E3ConditionState": "http://www.cidoc-crm.org/cidoc-crm/E3_Condition_State",
    "E41Appellation": "http://www.cidoc-crm.org/cidoc-crm/E41_Appellation",
    "E42Identifier": "http://www.cidoc-crm.org/cidoc-crm/E42_Identifier",
    "E4Period": "http://www.cidoc-crm.org/cidoc-crm/E4_Period",
    "E52TimeSpan": "http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span",
    "E53Place": "http://www.cidoc-crm.org/cidoc-crm/E53_Place",
    "E54Dimension": "http://www.cidoc-crm.org/cidoc-crm/E54_Dimension",
    "E55Type": "http://www.cidoc-crm.org/cidoc-crm/E55_Type",
    "E56Language": "http://www.cidoc-crm.org/cidoc-crm/E56_Language",
    "E57Material": "http://www.cidoc-crm.org/cidoc-crm/E57_Material",
    "E58MeasurementUnit": "http://www.cidoc-crm.org/cidoc-crm/E58_Measurement_Unit",
    "E5Event": "http://www.cidoc-crm.org/cidoc-crm/E5_Event",
    "E63BeginningofExistence": "http://www.cidoc-crm.org/cidoc-crm/E63_Beginning_of_Existence",
    "E64EndofExistence": "http://www.cidoc-crm.org/cidoc-crm/E64_End_of_Existence",
    "E65Creation": "http://www.cidoc-crm.org/cidoc-crm/E65_Creation",
    "E66Formation": "http://www.cidoc-crm.org/cidoc-crm/E66_Formation",
    "E67Birth": "http://www.cidoc-crm.org/cidoc-crm/E67_Birth",
    "E68Dissolution": "http://www.cidoc-crm.org/cidoc-crm/E68_Dissolution",
    "E69Death": "http://www.cidoc-crm.org/cidoc-crm/E69_Death",
    "E6Destruction": "http://www.cidoc-crm.org/cidoc-crm/E6_Destruction",
    "E70Thing": "http://www.cidoc-crm.org/cidoc-crm/E70_Thing",
    "E71HumanMadeThing": "http://www.cidoc-crm.org/cidoc-crm/E71_Human-Made_Thing",
    "E72LegalObject": "http://www.cidoc-crm.org/cidoc-crm/E72_Legal_Object",
    "E73InformationObject": "http://www.cidoc-crm.org/cidoc-crm/E73_Information_Object",
    "E74Group": "http://www.cidoc-crm.org/cidoc-crm/E74_Group",
    "E77PersistentItem": "http://www.cidoc-crm.org/cidoc-crm/E77_Persistent_Item",
    "E78CuratedHolding": "http://www.cidoc-crm.org/cidoc-crm/E78_Curated_Holding",
    "E79PartAddition": "http://www.cidoc-crm.org/cidoc-crm/E79_Part_Addition",
    "E7Activity": "http://www.cidoc-crm.org/cidoc-crm/E7_Activity",
    "E80PartRemoval": "http://www.cidoc-crm.org/cidoc-crm/E80_Part_Removal",
    "E81Transformation": "http://www.cidoc-crm.org/cidoc-crm/E81_Transformation",
    "E83TypeCreation": "http://www.cidoc-crm.org/cidoc-crm/E83_Type_Creation",
    "E85Joining": "http://www.cidoc-crm.org/cidoc-crm/E85_Joining",
    "E86Leaving": "http://www.cidoc-crm.org/cidoc-crm/E86_Leaving",
    "E87CurationActivity": "http://www.cidoc-crm.org/cidoc-crm/E87_Curation_Activity",
    "E89PropositionalObject": "http://www.cidoc-crm.org/cidoc-crm/E89_Propositional_Object",
    "E8Acquisition": "http://www.cidoc-crm.org/cidoc-crm/E8_Acquisition",
    "E90SymbolicObject": "http://www.cidoc-crm.org/cidoc-crm/E90_Symbolic_Object",
    "E92SpacetimeVolume": "http://www.cidoc-crm.org/cidoc-crm/E92_Spacetime_Volume",
    "E93Presence": "http://www.cidoc-crm.org/cidoc-crm/E93_Presence",
    "E96Purchase": "http://www.cidoc-crm.org/cidoc-crm/E96_Purchase",
    "E97MonetaryAmount": "http://www.cidoc-crm.org/cidoc-crm/E97_Monetary_Amount",
    "E98Currency": "http://www.cidoc-crm.org/cidoc-crm/E98_Currency",
    "E99ProductType": "http://www.cidoc-crm.org/cidoc-crm/E99_Product_Type",
    "E9Move": "http://www.cidoc-crm.org/cidoc-crm/E9_Move",
    "PC0TypedCRMProperty": "http://www.cidoc-crm.org/cidoc-crm/PC0_Typed_CRM_Property",
    "PC102hastitle": "http://www.cidoc-crm.org/cidoc-crm/PC102_has_title",
    "PC107hascurrentorformermember": "http://www.cidoc-crm.org/cidoc-crm/PC107_has_current_or_former_member",
    "PC130showsfeaturesof": "http://www.cidoc-crm.org/cidoc-crm/PC130_shows_features_of",
    "PC136wasbasedon": "http://www.cidoc-crm.org/cidoc-crm/PC136_was_based_on",
    "PC137exemplifies": "http://www.cidoc-crm.org/cidoc-crm/PC137_exemplifies",
    "PC138represents": "http://www.cidoc-crm.org/cidoc-crm/PC138_represents",
    "PC139hasalternativeform": "http://www.cidoc-crm.org/cidoc-crm/PC139_has_alternative_form",
    "PC144joinedwith": "http://www.cidoc-crm.org/cidoc-crm/PC144_joined_with",
    "PC14carriedoutby": "http://www.cidoc-crm.org/cidoc-crm/PC14_carried_out_by",
    "PC16usedspecificobject": "http://www.cidoc-crm.org/cidoc-crm/PC16_used_specific_object",
    "PC189approximates": "http://www.cidoc-crm.org/cidoc-crm/PC189_approximates",
    "PC19wasintendeduseof": "http://www.cidoc-crm.org/cidoc-crm/PC19_was_intended_use_of",
    "PC3hasnote": "http://www.cidoc-crm.org/cidoc-crm/PC3_has_note",
    "PC62depicts": "http://www.cidoc-crm.org/cidoc-crm/PC62_depicts",
    "PC67refersto": "http://www.cidoc-crm.org/cidoc-crm/PC67_refers_to",
    "PC69hasassociationwith": "http://www.cidoc-crm.org/cidoc-crm/PC69_has_association_with",
    "p01_has_domain": "http://www.cidoc-crm.org/cidoc-crm/P01_has_domain",
    "p01i_is_domain_of": "http://www.cidoc-crm.org/cidoc-crm/P01i_is_domain_of",
    "p02_has_range": "http://www.cidoc-crm.org/cidoc-crm/P02_has_range",
    "p02i_is_range_of": "http://www.cidoc-crm.org/cidoc-crm/P02i_is_range_of",
    "p03_has_range_literal": "http://www.cidoc-crm.org/cidoc-crm/P03_has_range_literal",
    "p100_was_death_of": "http://www.cidoc-crm.org/cidoc-crm/P100_was_death_of",
    "p100i_died_in": "http://www.cidoc-crm.org/cidoc-crm/P100i_died_in",
    "p101_had_as_general_use": "http://www.cidoc-crm.org/cidoc-crm/P101_had_as_general_use",
    "p101i_was_use_of": "http://www.cidoc-crm.org/cidoc-crm/P101i_was_use_of",
    "p102_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P102.1_has_type",
    "p102_has_title": "http://www.cidoc-crm.org/cidoc-crm/P102_has_title",
    "p102i_is_title_of": "http://www.cidoc-crm.org/cidoc-crm/P102i_is_title_of",
    "p103_was_intended_for": "http://www.cidoc-crm.org/cidoc-crm/P103_was_intended_for",
    "p103i_was_intention_of": "http://www.cidoc-crm.org/cidoc-crm/P103i_was_intention_of",
    "p104_is_subject_to": "http://www.cidoc-crm.org/cidoc-crm/P104_is_subject_to",
    "p104i_applies_to": "http://www.cidoc-crm.org/cidoc-crm/P104i_applies_to",
    "p105_right_held_by": "http://www.cidoc-crm.org/cidoc-crm/P105_right_held_by",
    "p105i_has_right_on": "http://www.cidoc-crm.org/cidoc-crm/P105i_has_right_on",
    "p106_is_composed_of": "http://www.cidoc-crm.org/cidoc-crm/P106_is_composed_of",
    "p106i_forms_part_of": "http://www.cidoc-crm.org/cidoc-crm/P106i_forms_part_of",
    "p107_1_kind_of_member": "http://www.cidoc-crm.org/cidoc-crm/P107.1_kind_of_member",
    "p107_has_current_or_former_member": "http://www.cidoc-crm.org/cidoc-crm/P107_has_current_or_former_member",
    "p107i_is_current_or_former_member_of": "http://www.cidoc-crm.org/cidoc-crm/P107i_is_current_or_former_member_of",
    "p108_has_produced": "http://www.cidoc-crm.org/cidoc-crm/P108_has_produced",
    "p108i_was_produced_by": "http://www.cidoc-crm.org/cidoc-crm/P108i_was_produced_by",
    "p109_has_current_or_former_curator": "http://www.cidoc-crm.org/cidoc-crm/P109_has_current_or_former_curator",
    "p109i_is_current_or_former_curator_of": "http://www.cidoc-crm.org/cidoc-crm/P109i_is_current_or_former_curator_of",
    "p10_falls_within": "http://www.cidoc-crm.org/cidoc-crm/P10_falls_within",
    "p10i_contains": "http://www.cidoc-crm.org/cidoc-crm/P10i_contains",
    "p110_augmented": "http://www.cidoc-crm.org/cidoc-crm/P110_augmented",
    "p110i_was_augmented_by": "http://www.cidoc-crm.org/cidoc-crm/P110i_was_augmented_by",
    "p111_added": "http://www.cidoc-crm.org/cidoc-crm/P111_added",
    "p111i_was_added_by": "http://www.cidoc-crm.org/cidoc-crm/P111i_was_added_by",
    "p112_diminished": "http://www.cidoc-crm.org/cidoc-crm/P112_diminished",
    "p112i_was_diminished_by": "http://www.cidoc-crm.org/cidoc-crm/P112i_was_diminished_by",
    "p113_removed": "http://www.cidoc-crm.org/cidoc-crm/P113_removed",
    "p113i_was_removed_by": "http://www.cidoc-crm.org/cidoc-crm/P113i_was_removed_by",
    "p11_had_participant": "http://www.cidoc-crm.org/cidoc-crm/P11_had_participant",
    "p11i_participated_in": "http://www.cidoc-crm.org/cidoc-crm/P11i_participated_in",
    "p121_overlaps_with": "http://www.cidoc-crm.org/cidoc-crm/P121_overlaps_with",
    "p122_borders_with": "http://www.cidoc-crm.org/cidoc-crm/P122_borders_with",
    "p123_resulted_in": "http://www.cidoc-crm.org/cidoc-crm/P123_resulted_in",
    "p123i_resulted_from": "http://www.cidoc-crm.org/cidoc-crm/P123i_resulted_from",
    "p124_transformed": "http://www.cidoc-crm.org/cidoc-crm/P124_transformed",
    "p124i_was_transformed_by": "http://www.cidoc-crm.org/cidoc-crm/P124i_was_transformed_by",
    "p125_used_object_of_type": "http://www.cidoc-crm.org/cidoc-crm/P125_used_object_of_type",
    "p125i_was_type_of_object_used_in": "http://www.cidoc-crm.org/cidoc-crm/P125i_was_type_of_object_used_in",
    "p126_employed": "http://www.cidoc-crm.org/cidoc-crm/P126_employed",
    "p126i_was_employed_in": "http://www.cidoc-crm.org/cidoc-crm/P126i_was_employed_in",
    "p127_has_broader_term": "http://www.cidoc-crm.org/cidoc-crm/P127_has_broader_term",
    "p127i_has_narrower_term": "http://www.cidoc-crm.org/cidoc-crm/P127i_has_narrower_term",
    "p128_carries": "http://www.cidoc-crm.org/cidoc-crm/P128_carries",
    "p128i_is_carried_by": "http://www.cidoc-crm.org/cidoc-crm/P128i_is_carried_by",
    "p129_is_about": "http://www.cidoc-crm.org/cidoc-crm/P129_is_about",
    "p129i_is_subject_of": "http://www.cidoc-crm.org/cidoc-crm/P129i_is_subject_of",
    "p12_occurred_in_the_presence_of": "http://www.cidoc-crm.org/cidoc-crm/P12_occurred_in_the_presence_of",
    "p12i_was_present_at": "http://www.cidoc-crm.org/cidoc-crm/P12i_was_present_at",
    "p130_1_kind_of_similarity": "http://www.cidoc-crm.org/cidoc-crm/P130.1_kind_of_similarity",
    "p130_shows_features_of": "http://www.cidoc-crm.org/cidoc-crm/P130_shows_features_of",
    "p130i_features_are_also_found_on": "http://www.cidoc-crm.org/cidoc-crm/P130i_features_are_also_found_on",
    "p132_spatiotemporally_overlaps_with": "http://www.cidoc-crm.org/cidoc-crm/P132_spatiotemporally_overlaps_with",
    "p133_is_spatiotemporally_separated_from": "http://www.cidoc-crm.org/cidoc-crm/P133_is_spatiotemporally_separated_from",
    "p134_continued": "http://www.cidoc-crm.org/cidoc-crm/P134_continued",
    "p134i_was_continued_by": "http://www.cidoc-crm.org/cidoc-crm/P134i_was_continued_by",
    "p135_created_type": "http://www.cidoc-crm.org/cidoc-crm/P135_created_type",
    "p135i_was_created_by": "http://www.cidoc-crm.org/cidoc-crm/P135i_was_created_by",
    "p136_1_in_the_taxonomic_role": "http://www.cidoc-crm.org/cidoc-crm/P136.1_in_the_taxonomic_role",
    "p136_was_based_on": "http://www.cidoc-crm.org/cidoc-crm/P136_was_based_on",
    "p136i_supported_type_creation": "http://www.cidoc-crm.org/cidoc-crm/P136i_supported_type_creation",
    "p137_1_in_the_taxonomic_role": "http://www.cidoc-crm.org/cidoc-crm/P137.1_in_the_taxonomic_role",
    "p137_exemplifies": "http://www.cidoc-crm.org/cidoc-crm/P137_exemplifies",
    "p137i_is_exemplified_by": "http://www.cidoc-crm.org/cidoc-crm/P137i_is_exemplified_by",
    "p138_1_mode_of_representation": "http://www.cidoc-crm.org/cidoc-crm/P138.1_mode_of_representation",
    "p138_represents": "http://www.cidoc-crm.org/cidoc-crm/P138_represents",
    "p138i_has_representation": "http://www.cidoc-crm.org/cidoc-crm/P138i_has_representation",
    "p139_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P139.1_has_type",
    "p139_has_alternative_form": "http://www.cidoc-crm.org/cidoc-crm/P139_has_alternative_form",
    "p13_destroyed": "http://www.cidoc-crm.org/cidoc-crm/P13_destroyed",
    "p13i_was_destroyed_by": "http://www.cidoc-crm.org/cidoc-crm/P13i_was_destroyed_by",
    "p140_assigned_attribute_to": "http://www.cidoc-crm.org/cidoc-crm/P140_assigned_attribute_to",
    "p140i_was_attributed_by": "http://www.cidoc-crm.org/cidoc-crm/P140i_was_attributed_by",
    "p141_assigned": "http://www.cidoc-crm.org/cidoc-crm/P141_assigned",
    "p141i_was_assigned_by": "http://www.cidoc-crm.org/cidoc-crm/P141i_was_assigned_by",
    "p142_used_constituent": "http://www.cidoc-crm.org/cidoc-crm/P142_used_constituent",
    "p142i_was_used_in": "http://www.cidoc-crm.org/cidoc-crm/P142i_was_used_in",
    "p143_joined": "http://www.cidoc-crm.org/cidoc-crm/P143_joined",
    "p143i_was_joined_by": "http://www.cidoc-crm.org/cidoc-crm/P143i_was_joined_by",
    "p144_1_kind_of_member": "http://www.cidoc-crm.org/cidoc-crm/P144.1_kind_of_member",
    "p144_joined_with": "http://www.cidoc-crm.org/cidoc-crm/P144_joined_with",
    "p144i_gained_member_by": "http://www.cidoc-crm.org/cidoc-crm/P144i_gained_member_by",
    "p145_separated": "http://www.cidoc-crm.org/cidoc-crm/P145_separated",
    "p145i_left_by": "http://www.cidoc-crm.org/cidoc-crm/P145i_left_by",
    "p146_separated_from": "http://www.cidoc-crm.org/cidoc-crm/P146_separated_from",
    "p146i_lost_member_by": "http://www.cidoc-crm.org/cidoc-crm/P146i_lost_member_by",
    "p147_curated": "http://www.cidoc-crm.org/cidoc-crm/P147_curated",
    "p147i_was_curated_by": "http://www.cidoc-crm.org/cidoc-crm/P147i_was_curated_by",
    "p148_has_component": "http://www.cidoc-crm.org/cidoc-crm/P148_has_component",
    "p148i_is_component_of": "http://www.cidoc-crm.org/cidoc-crm/P148i_is_component_of",
    "p14_1_in_the_role_of": "http://www.cidoc-crm.org/cidoc-crm/P14.1_in_the_role_of",
    "p14_carried_out_by": "http://www.cidoc-crm.org/cidoc-crm/P14_carried_out_by",
    "p14i_performed": "http://www.cidoc-crm.org/cidoc-crm/P14i_performed",
    "p150_defines_typical_parts_of": "http://www.cidoc-crm.org/cidoc-crm/P150_defines_typical_parts_of",
    "p150i_defines_typical_wholes_for": "http://www.cidoc-crm.org/cidoc-crm/P150i_defines_typical_wholes_for",
    "p151_was_formed_from": "http://www.cidoc-crm.org/cidoc-crm/P151_was_formed_from",
    "p151i_participated_in": "http://www.cidoc-crm.org/cidoc-crm/P151i_participated_in",
    "p152_has_parent": "http://www.cidoc-crm.org/cidoc-crm/P152_has_parent",
    "p152i_is_parent_of": "http://www.cidoc-crm.org/cidoc-crm/P152i_is_parent_of",
    "p156_occupies": "http://www.cidoc-crm.org/cidoc-crm/P156_occupies",
    "p156i_is_occupied_by": "http://www.cidoc-crm.org/cidoc-crm/P156i_is_occupied_by",
    "p157_is_at_rest_relative_to": "http://www.cidoc-crm.org/cidoc-crm/P157_is_at_rest_relative_to",
    "p157i_provides_reference_space_for": "http://www.cidoc-crm.org/cidoc-crm/P157i_provides_reference_space_for",
    "p15_was_influenced_by": "http://www.cidoc-crm.org/cidoc-crm/P15_was_influenced_by",
    "p15i_influenced": "http://www.cidoc-crm.org/cidoc-crm/P15i_influenced",
    "p160_has_temporal_projection": "http://www.cidoc-crm.org/cidoc-crm/P160_has_temporal_projection",
    "p160i_is_temporal_projection_of": "http://www.cidoc-crm.org/cidoc-crm/P160i_is_temporal_projection_of",
    "p161_has_spatial_projection": "http://www.cidoc-crm.org/cidoc-crm/P161_has_spatial_projection",
    "p161i_is_spatial_projection_of": "http://www.cidoc-crm.org/cidoc-crm/P161i_is_spatial_projection_of",
    "p164_is_temporally_specified_by": "http://www.cidoc-crm.org/cidoc-crm/P164_is_temporally_specified_by",
    "p164i_temporally_specifies": "http://www.cidoc-crm.org/cidoc-crm/P164i_temporally_specifies",
    "p165_incorporates": "http://www.cidoc-crm.org/cidoc-crm/P165_incorporates",
    "p165i_is_incorporated_in": "http://www.cidoc-crm.org/cidoc-crm/P165i_is_incorporated_in",
    "p166_was_a_presence_of": "http://www.cidoc-crm.org/cidoc-crm/P166_was_a_presence_of",
    "p166i_had_presence": "http://www.cidoc-crm.org/cidoc-crm/P166i_had_presence",
    "p167_was_within": "http://www.cidoc-crm.org/cidoc-crm/P167_was_within",
    "p167i_includes": "http://www.cidoc-crm.org/cidoc-crm/P167i_includes",
    "p168_place_is_defined_by": "http://www.cidoc-crm.org/cidoc-crm/P168_place_is_defined_by",
    "p169i_spacetime_volume_is_defined_by": "http://www.cidoc-crm.org/cidoc-crm/P169i_spacetime_volume_is_defined_by",
    "p16_1_mode_of_use": "http://www.cidoc-crm.org/cidoc-crm/P16.1_mode_of_use",
    "p16_used_specific_object": "http://www.cidoc-crm.org/cidoc-crm/P16_used_specific_object",
    "p16i_was_used_for": "http://www.cidoc-crm.org/cidoc-crm/P16i_was_used_for",
    "p170i_time_is_defined_by": "http://www.cidoc-crm.org/cidoc-crm/P170i_time_is_defined_by",
    "p171_at_some_place_within": "http://www.cidoc-crm.org/cidoc-crm/P171_at_some_place_within",
    "p172_contains": "http://www.cidoc-crm.org/cidoc-crm/P172_contains",
    "p173_starts_before_or_with_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P173_starts_before_or_with_the_end_of",
    "p173i_ends_after_or_with_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P173i_ends_after_or_with_the_start_of",
    "p174_starts_before_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P174_starts_before_the_end_of",
    "p174i_ends_after_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P174i_ends_after_the_start_of",
    "p175_starts_before_or_with_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P175_starts_before_or_with_the_start_of",
    "p175i_starts_after_or_with_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P175i_starts_after_or_with_the_start_of",
    "p176_starts_before_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P176_starts_before_the_start_of",
    "p176i_starts_after_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P176i_starts_after_the_start_of",
    "p177_assigned_property_of_type": "http://www.cidoc-crm.org/cidoc-crm/P177_assigned_property_of_type",
    "p177i_is_type_of_property_assigned": "http://www.cidoc-crm.org/cidoc-crm/P177i_is_type_of_property_assigned",
    "p179_had_sales_price": "http://www.cidoc-crm.org/cidoc-crm/P179_had_sales_price",
    "p179i_was_sales_price_of": "http://www.cidoc-crm.org/cidoc-crm/P179i_was_sales_price_of",
    "p17_was_motivated_by": "http://www.cidoc-crm.org/cidoc-crm/P17_was_motivated_by",
    "p17i_motivated": "http://www.cidoc-crm.org/cidoc-crm/P17i_motivated",
    "p180_has_currency": "http://www.cidoc-crm.org/cidoc-crm/P180_has_currency",
    "p180i_was_currency_of": "http://www.cidoc-crm.org/cidoc-crm/P180i_was_currency_of",
    "p182_ends_before_or_with_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P182_ends_before_or_with_the_start_of",
    "p182i_starts_after_or_with_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P182i_starts_after_or_with_the_end_of",
    "p183_ends_before_the_start_of": "http://www.cidoc-crm.org/cidoc-crm/P183_ends_before_the_start_of",
    "p183i_starts_after_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P183i_starts_after_the_end_of",
    "p184_ends_before_or_with_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P184_ends_before_or_with_the_end_of",
    "p184i_ends_with_or_after_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P184i_ends_with_or_after_the_end_of",
    "p185_ends_before_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P185_ends_before_the_end_of",
    "p185i_ends_after_the_end_of": "http://www.cidoc-crm.org/cidoc-crm/P185i_ends_after_the_end_of",
    "p186_produced_thing_of_product_type": "http://www.cidoc-crm.org/cidoc-crm/P186_produced_thing_of_product_type",
    "p186i_is_produced_by": "http://www.cidoc-crm.org/cidoc-crm/P186i_is_produced_by",
    "p187_has_production_plan": "http://www.cidoc-crm.org/cidoc-crm/P187_has_production_plan",
    "p187i_is_production_plan_for": "http://www.cidoc-crm.org/cidoc-crm/P187i_is_production_plan_for",
    "p188_requires_production_tool": "http://www.cidoc-crm.org/cidoc-crm/P188_requires_production_tool",
    "p188i_is_production_tool_for": "http://www.cidoc-crm.org/cidoc-crm/P188i_is_production_tool_for",
    "p189_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P189.1_has_type",
    "p189_approximates": "http://www.cidoc-crm.org/cidoc-crm/P189_approximates",
    "p189i_is_approximated_by": "http://www.cidoc-crm.org/cidoc-crm/P189i_is_approximated_by",
    "p190_has_symbolic_content": "http://www.cidoc-crm.org/cidoc-crm/P190_has_symbolic_content",
    "p191_had_duration": "http://www.cidoc-crm.org/cidoc-crm/P191_had_duration",
    "p191i_was_duration_of": "http://www.cidoc-crm.org/cidoc-crm/P191i_was_duration_of",
    "p195_was_a_presence_of": "http://www.cidoc-crm.org/cidoc-crm/P195_was_a_presence_of",
    "p195i_had_presence": "http://www.cidoc-crm.org/cidoc-crm/P195i_had_presence",
    "p196_defines": "http://www.cidoc-crm.org/cidoc-crm/P196_defines",
    "p196i_is_defined_by": "http://www.cidoc-crm.org/cidoc-crm/P196i_is_defined_by",
    "p197_covered_parts_of": "http://www.cidoc-crm.org/cidoc-crm/P197_covered_parts_of",
    "p197i_was_partially_covered_by": "http://www.cidoc-crm.org/cidoc-crm/P197i_was_partially_covered_by",
    "p198_holds_or_supports": "http://www.cidoc-crm.org/cidoc-crm/P198_holds_or_supports",
    "p198i_is_held_or_supported_by": "http://www.cidoc-crm.org/cidoc-crm/P198i_is_held_or_supported_by",
    "p19_1_mode_of_use": "http://www.cidoc-crm.org/cidoc-crm/P19.1_mode_of_use",
    "p19_was_intended_use_of": "http://www.cidoc-crm.org/cidoc-crm/P19_was_intended_use_of",
    "p19i_was_made_for": "http://www.cidoc-crm.org/cidoc-crm/P19i_was_made_for",
    "p1_is_identified_by": "http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by",
    "p1i_identifies": "http://www.cidoc-crm.org/cidoc-crm/P1i_identifies",
    "p20_had_specific_purpose": "http://www.cidoc-crm.org/cidoc-crm/P20_had_specific_purpose",
    "p20i_was_purpose_of": "http://www.cidoc-crm.org/cidoc-crm/P20i_was_purpose_of",
    "p21_had_general_purpose": "http://www.cidoc-crm.org/cidoc-crm/P21_had_general_purpose",
    "p21i_was_purpose_of": "http://www.cidoc-crm.org/cidoc-crm/P21i_was_purpose_of",
    "p22_transferred_title_to": "http://www.cidoc-crm.org/cidoc-crm/P22_transferred_title_to",
    "p22i_acquired_title_through": "http://www.cidoc-crm.org/cidoc-crm/P22i_acquired_title_through",
    "p23_transferred_title_from": "http://www.cidoc-crm.org/cidoc-crm/P23_transferred_title_from",
    "p23i_surrendered_title_through": "http://www.cidoc-crm.org/cidoc-crm/P23i_surrendered_title_through",
    "p24_transferred_title_of": "http://www.cidoc-crm.org/cidoc-crm/P24_transferred_title_of",
    "p24i_changed_ownership_through": "http://www.cidoc-crm.org/cidoc-crm/P24i_changed_ownership_through",
    "p25_moved": "http://www.cidoc-crm.org/cidoc-crm/P25_moved",
    "p25i_moved_by": "http://www.cidoc-crm.org/cidoc-crm/P25i_moved_by",
    "p26_moved_to": "http://www.cidoc-crm.org/cidoc-crm/P26_moved_to",
    "p26i_was_destination_of": "http://www.cidoc-crm.org/cidoc-crm/P26i_was_destination_of",
    "p27_moved_from": "http://www.cidoc-crm.org/cidoc-crm/P27_moved_from",
    "p27i_was_origin_of": "http://www.cidoc-crm.org/cidoc-crm/P27i_was_origin_of",
    "p28_custody_surrendered_by": "http://www.cidoc-crm.org/cidoc-crm/P28_custody_surrendered_by",
    "p28i_surrendered_custody_through": "http://www.cidoc-crm.org/cidoc-crm/P28i_surrendered_custody_through",
    "p29_custody_received_by": "http://www.cidoc-crm.org/cidoc-crm/P29_custody_received_by",
    "p29i_received_custody_through": "http://www.cidoc-crm.org/cidoc-crm/P29i_received_custody_through",
    "p2_has_type": "http://www.cidoc-crm.org/cidoc-crm/P2_has_type",
    "p2i_is_type_of": "http://www.cidoc-crm.org/cidoc-crm/P2i_is_type_of",
    "p30_transferred_custody_of": "http://www.cidoc-crm.org/cidoc-crm/P30_transferred_custody_of",
    "p30i_custody_transferred_through": "http://www.cidoc-crm.org/cidoc-crm/P30i_custody_transferred_through",
    "p31_has_modified": "http://www.cidoc-crm.org/cidoc-crm/P31_has_modified",
    "p31i_was_modified_by": "http://www.cidoc-crm.org/cidoc-crm/P31i_was_modified_by",
    "p32_used_general_technique": "http://www.cidoc-crm.org/cidoc-crm/P32_used_general_technique",
    "p32i_was_technique_of": "http://www.cidoc-crm.org/cidoc-crm/P32i_was_technique_of",
    "p33_used_specific_technique": "http://www.cidoc-crm.org/cidoc-crm/P33_used_specific_technique",
    "p33i_was_used_by": "http://www.cidoc-crm.org/cidoc-crm/P33i_was_used_by",
    "p34_concerned": "http://www.cidoc-crm.org/cidoc-crm/P34_concerned",
    "p34i_was_assessed_by": "http://www.cidoc-crm.org/cidoc-crm/P34i_was_assessed_by",
    "p35_has_identified": "http://www.cidoc-crm.org/cidoc-crm/P35_has_identified",
    "p35i_was_identified_by": "http://www.cidoc-crm.org/cidoc-crm/P35i_was_identified_by",
    "p37_assigned": "http://www.cidoc-crm.org/cidoc-crm/P37_assigned",
    "p37i_was_assigned_by": "http://www.cidoc-crm.org/cidoc-crm/P37i_was_assigned_by",
    "p38_deassigned": "http://www.cidoc-crm.org/cidoc-crm/P38_deassigned",
    "p38i_was_deassigned_by": "http://www.cidoc-crm.org/cidoc-crm/P38i_was_deassigned_by",
    "p39_measured": "http://www.cidoc-crm.org/cidoc-crm/P39_measured",
    "p39i_was_measured_by": "http://www.cidoc-crm.org/cidoc-crm/P39i_was_measured_by",
    "p3_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P3.1_has_type",
    "p3_has_note": "http://www.cidoc-crm.org/cidoc-crm/P3_has_note",
    "p40_observed_dimension": "http://www.cidoc-crm.org/cidoc-crm/P40_observed_dimension",
    "p40i_was_observed_in": "http://www.cidoc-crm.org/cidoc-crm/P40i_was_observed_in",
    "p41_classified": "http://www.cidoc-crm.org/cidoc-crm/P41_classified",
    "p41i_was_classified_by": "http://www.cidoc-crm.org/cidoc-crm/P41i_was_classified_by",
    "p42_assigned": "http://www.cidoc-crm.org/cidoc-crm/P42_assigned",
    "p42i_was_assigned_by": "http://www.cidoc-crm.org/cidoc-crm/P42i_was_assigned_by",
    "p43_has_dimension": "http://www.cidoc-crm.org/cidoc-crm/P43_has_dimension",
    "p43i_is_dimension_of": "http://www.cidoc-crm.org/cidoc-crm/P43i_is_dimension_of",
    "p44_has_condition": "http://www.cidoc-crm.org/cidoc-crm/P44_has_condition",
    "p44i_is_condition_of": "http://www.cidoc-crm.org/cidoc-crm/P44i_is_condition_of",
    "p45_consists_of": "http://www.cidoc-crm.org/cidoc-crm/P45_consists_of",
    "p45i_is_incorporated_in": "http://www.cidoc-crm.org/cidoc-crm/P45i_is_incorporated_in",
    "p46_is_composed_of": "http://www.cidoc-crm.org/cidoc-crm/P46_is_composed_of",
    "p46i_forms_part_of": "http://www.cidoc-crm.org/cidoc-crm/P46i_forms_part_of",
    "p48_has_preferred_identifier": "http://www.cidoc-crm.org/cidoc-crm/P48_has_preferred_identifier",
    "p48i_is_preferred_identifier_of": "http://www.cidoc-crm.org/cidoc-crm/P48i_is_preferred_identifier_of",
    "p49_has_former_or_current_keeper": "http://www.cidoc-crm.org/cidoc-crm/P49_has_former_or_current_keeper",
    "p49i_is_former_or_current_keeper_of": "http://www.cidoc-crm.org/cidoc-crm/P49i_is_former_or_current_keeper_of",
    "p4_has_time_span": "http://www.cidoc-crm.org/cidoc-crm/P4_has_time-span",
    "p4i_is_time_span_of": "http://www.cidoc-crm.org/cidoc-crm/P4i_is_time-span_of",
    "p50_has_current_keeper": "http://www.cidoc-crm.org/cidoc-crm/P50_has_current_keeper",
    "p50i_is_current_keeper_of": "http://www.cidoc-crm.org/cidoc-crm/P50i_is_current_keeper_of",
    "p51_has_former_or_current_owner": "http://www.cidoc-crm.org/cidoc-crm/P51_has_former_or_current_owner",
    "p51i_is_former_or_current_owner_of": "http://www.cidoc-crm.org/cidoc-crm/P51i_is_former_or_current_owner_of",
    "p52_has_current_owner": "http://www.cidoc-crm.org/cidoc-crm/P52_has_current_owner",
    "p52i_is_current_owner_of": "http://www.cidoc-crm.org/cidoc-crm/P52i_is_current_owner_of",
    "p53_has_former_or_current_location": "http://www.cidoc-crm.org/cidoc-crm/P53_has_former_or_current_location",
    "p53i_is_former_or_current_location_of": "http://www.cidoc-crm.org/cidoc-crm/P53i_is_former_or_current_location_of",
    "p54_has_current_permanent_location": "http://www.cidoc-crm.org/cidoc-crm/P54_has_current_permanent_location",
    "p54i_is_current_permanent_location_of": "http://www.cidoc-crm.org/cidoc-crm/P54i_is_current_permanent_location_of",
    "p55_has_current_location": "http://www.cidoc-crm.org/cidoc-crm/P55_has_current_location",
    "p55i_currently_holds": "http://www.cidoc-crm.org/cidoc-crm/P55i_currently_holds",
    "p56_bears_feature": "http://www.cidoc-crm.org/cidoc-crm/P56_bears_feature",
    "p56i_is_found_on": "http://www.cidoc-crm.org/cidoc-crm/P56i_is_found_on",
    "p57_has_number_of_parts": "http://www.cidoc-crm.org/cidoc-crm/P57_has_number_of_parts",
    "p59_has_section": "http://www.cidoc-crm.org/cidoc-crm/P59_has_section",
    "p59i_is_located_on_or_within": "http://www.cidoc-crm.org/cidoc-crm/P59i_is_located_on_or_within",
    "p5_consists_of": "http://www.cidoc-crm.org/cidoc-crm/P5_consists_of",
    "p5i_forms_part_of": "http://www.cidoc-crm.org/cidoc-crm/P5i_forms_part_of",
    "p62_1_mode_of_depiction": "http://www.cidoc-crm.org/cidoc-crm/P62.1_mode_of_depiction",
    "p62_depicts": "http://www.cidoc-crm.org/cidoc-crm/P62_depicts",
    "p62i_is_depicted_by": "http://www.cidoc-crm.org/cidoc-crm/P62i_is_depicted_by",
    "p65_shows_visual_item": "http://www.cidoc-crm.org/cidoc-crm/P65_shows_visual_item",
    "p65i_is_shown_by": "http://www.cidoc-crm.org/cidoc-crm/P65i_is_shown_by",
    "p67_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P67.1_has_type",
    "p67_refers_to": "http://www.cidoc-crm.org/cidoc-crm/P67_refers_to",
    "p67i_is_referred_to_by": "http://www.cidoc-crm.org/cidoc-crm/P67i_is_referred_to_by",
    "p68_foresees_use_of": "http://www.cidoc-crm.org/cidoc-crm/P68_foresees_use_of",
    "p68i_use_foreseen_by": "http://www.cidoc-crm.org/cidoc-crm/P68i_use_foreseen_by",
    "p69_1_has_type": "http://www.cidoc-crm.org/cidoc-crm/P69.1_has_type",
    "p69_has_association_with": "http://www.cidoc-crm.org/cidoc-crm/P69_has_association_with",
    "p69i_is_associated_with": "http://www.cidoc-crm.org/cidoc-crm/P69i_is_associated_with",
    "p70_documents": "http://www.cidoc-crm.org/cidoc-crm/P70_documents",
    "p70i_is_documented_in": "http://www.cidoc-crm.org/cidoc-crm/P70i_is_documented_in",
    "p71_lists": "http://www.cidoc-crm.org/cidoc-crm/P71_lists",
    "p71i_is_listed_in": "http://www.cidoc-crm.org/cidoc-crm/P71i_is_listed_in",
    "p72_has_language": "http://www.cidoc-crm.org/cidoc-crm/P72_has_language",
    "p72i_is_language_of": "http://www.cidoc-crm.org/cidoc-crm/P72i_is_language_of",
    "p73_has_translation": "http://www.cidoc-crm.org/cidoc-crm/P73_has_translation",
    "p73i_is_translation_of": "http://www.cidoc-crm.org/cidoc-crm/P73i_is_translation_of",
    "p74_has_current_or_former_residence": "http://www.cidoc-crm.org/cidoc-crm/P74_has_current_or_former_residence",
    "p74i_is_current_or_former_residence_of": "http://www.cidoc-crm.org/cidoc-crm/P74i_is_current_or_former_residence_of",
    "p75_possesses": "http://www.cidoc-crm.org/cidoc-crm/P75_possesses",
    "p75i_is_possessed_by": "http://www.cidoc-crm.org/cidoc-crm/P75i_is_possessed_by",
    "p76_has_contact_point": "http://www.cidoc-crm.org/cidoc-crm/P76_has_contact_point",
    "p76i_provides_access_to": "http://www.cidoc-crm.org/cidoc-crm/P76i_provides_access_to",
    "p79_beginning_is_qualified_by": "http://www.cidoc-crm.org/cidoc-crm/P79_beginning_is_qualified_by",
    "p7_took_place_at": "http://www.cidoc-crm.org/cidoc-crm/P7_took_place_at",
    "p7i_witnessed": "http://www.cidoc-crm.org/cidoc-crm/P7i_witnessed",
    "p80_end_is_qualified_by": "http://www.cidoc-crm.org/cidoc-crm/P80_end_is_qualified_by",
    "p81_ongoing_throughout": "http://www.cidoc-crm.org/cidoc-crm/P81_ongoing_throughout",
    "p81a_end_of_the_begin": "http://www.cidoc-crm.org/cidoc-crm/P81a_end_of_the_begin",
    "p81b_begin_of_the_end": "http://www.cidoc-crm.org/cidoc-crm/P81b_begin_of_the_end",
    "p82_at_some_time_within": "http://www.cidoc-crm.org/cidoc-crm/P82_at_some_time_within",
    "p82a_begin_of_the_begin": "http://www.cidoc-crm.org/cidoc-crm/P82a_begin_of_the_begin",
    "p82b_end_of_the_end": "http://www.cidoc-crm.org/cidoc-crm/P82b_end_of_the_end",
    "p86_falls_within": "http://www.cidoc-crm.org/cidoc-crm/P86_falls_within",
    "p86i_contains": "http://www.cidoc-crm.org/cidoc-crm/P86i_contains",
    "p89_falls_within": "http://www.cidoc-crm.org/cidoc-crm/P89_falls_within",
    "p89i_contains": "http://www.cidoc-crm.org/cidoc-crm/P89i_contains",
    "p8_took_place_on_or_within": "http://www.cidoc-crm.org/cidoc-crm/P8_took_place_on_or_within",
    "p8i_witnessed": "http://www.cidoc-crm.org/cidoc-crm/P8i_witnessed",
    "p90_has_value": "http://www.cidoc-crm.org/cidoc-crm/P90_has_value",
    "p90a_has_lower_value_limit": "http://www.cidoc-crm.org/cidoc-crm/P90a_has_lower_value_limit",
    "p90b_has_upper_value_limit": "http://www.cidoc-crm.org/cidoc-crm/P90b_has_upper_value_limit",
    "p91_has_unit": "http://www.cidoc-crm.org/cidoc-crm/P91_has_unit",
    "p91i_is_unit_of": "http://www.cidoc-crm.org/cidoc-crm/P91i_is_unit_of",
    "p92_brought_into_existence": "http://www.cidoc-crm.org/cidoc-crm/P92_brought_into_existence",
    "p92i_was_brought_into_existence_by": "http://www.cidoc-crm.org/cidoc-crm/P92i_was_brought_into_existence_by",
    "p93_took_out_of_existence": "http://www.cidoc-crm.org/cidoc-crm/P93_took_out_of_existence",
    "p93i_was_taken_out_of_existence_by": "http://www.cidoc-crm.org/cidoc-crm/P93i_was_taken_out_of_existence_by",
    "p94_has_created": "http://www.cidoc-crm.org/cidoc-crm/P94_has_created",
    "p94i_was_created_by": "http://www.cidoc-crm.org/cidoc-crm/P94i_was_created_by",
    "p95_has_formed": "http://www.cidoc-crm.org/cidoc-crm/P95_has_formed",
    "p95i_was_formed_by": "http://www.cidoc-crm.org/cidoc-crm/P95i_was_formed_by",
    "p96_by_mother": "http://www.cidoc-crm.org/cidoc-crm/P96_by_mother",
    "p96i_gave_birth": "http://www.cidoc-crm.org/cidoc-crm/P96i_gave_birth",
    "p97_from_father": "http://www.cidoc-crm.org/cidoc-crm/P97_from_father",
    "p97i_was_father_for": "http://www.cidoc-crm.org/cidoc-crm/P97i_was_father_for",
    "p98_brought_into_life": "http://www.cidoc-crm.org/cidoc-crm/P98_brought_into_life",
    "p98i_was_born": "http://www.cidoc-crm.org/cidoc-crm/P98i_was_born",
    "p99_dissolved": "http://www.cidoc-crm.org/cidoc-crm/P99_dissolved",
    "p99i_was_dissolved_by": "http://www.cidoc-crm.org/cidoc-crm/P99i_was_dissolved_by",
    "p9_consists_of": "http://www.cidoc-crm.org/cidoc-crm/P9_consists_of",
    "p9i_forms_part_of": "http://www.cidoc-crm.org/cidoc-crm/P9i_forms_part_of",
}
